
From: janitor@sternwelten.at

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Signed-off-by: Maximilian Attems <janitor@sternwelten.at>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/radio/miropcm20-rds.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/media/radio/miropcm20-rds.c~radio-miropcm20-rds-replace-schedule_timeout-with-msleep drivers/media/radio/miropcm20-rds.c
--- 25/drivers/media/radio/miropcm20-rds.c~radio-miropcm20-rds-replace-schedule_timeout-with-msleep	2004-09-02 15:31:28.538405496 -0700
+++ 25-akpm/drivers/media/radio/miropcm20-rds.c	2004-09-02 15:31:28.542404888 -0700
@@ -14,6 +14,7 @@
 #include <linux/slab.h>
 #include <linux/fs.h>
 #include <linux/miscdevice.h>
+#include <linux/delay.h>
 #include <asm/uaccess.h>
 #include "miropcm20-rds-core.h"
 
@@ -60,8 +61,7 @@ static ssize_t rds_f_read(struct file *f
 	char c;
 	char bits[8];
 
-	current->state=TASK_UNINTERRUPTIBLE;
-	schedule_timeout(2*HZ);
+	msleep(2000);
 	aci_rds_cmd(RDS_STATUS, &c, 1);
 	print_matrix(&c, bits);
 	if (copy_to_user(buffer, bits, 8))
_
